const TokenKey = 'token'
const OpenIdKey = 'OpenId'
const LoginKey = 'isLogin'

export function setStorage(name, value) {
	return uni.setStorageSync(name, value)
}

export function getStorage(name) {
	return uni.getStorageSync(name)
}

export function removeStorage(name) {
	return uni.removeStorageSync(name)
}


export function getToken() {
	return uni.getStorageSync(TokenKey)
}

export function setToken(token) {
	return uni.setStorageSync(TokenKey, token)
}

export function removeToken() {
	return uni.removeStorageSync(TokenKey)
}

export function getOpenIdKey() {
	return uni.getStorageSync(OpenIdKey)
}

export function setOpenIdKey(openId) {
	return uni.setStorageSync(OpenIdKey, openId)
}

export function removeOpenIdKey() {
	return uni.removeStorageSync(OpenIdKey)
}

export function getIsLogin() {
	return uni.getStorageSync(LoginKey)
}

export function setIsLogin(isLogin) {
	return uni.setStorageSync(LoginKey, isLogin)
}

export function removeIsLogin() {
	return uni.removeStorageSync(LoginKey)
}